Bug 1232896 - CVE-2015-3230 389-ds-base: nsSSL3Ciphers preference not enforced server side (regression) [fedora-all]
Summary: CVE-2015-3230 389-ds-base: nsSSL3Ciphers preference not enforced server side ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 22
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-3230
TreeView+ depends on / blocked
 
Reported: 2015-06-17 18:59 UTC by Kurt Seifried
Modified: 2015-10-08 18:49 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.3.13-1.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-08 18:49:06 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2015-06-17 18:59:49 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Kurt Seifried 2015-06-17 18:59:53 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1232096,1232896

# Description of your update
notes=Security fix for CVE-2015-3230

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1232096,1232896

Comment 2 Fedora Update System 2015-06-17 20:27:35 UTC
389-ds-base-1.3.3.12-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/389-ds-base-1.3.3.12-1.fc21

Comment 3 Fedora Update System 2015-06-17 20:33:01 UTC
389-ds-base-1.3.3.12-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/389-ds-base-1.3.3.12-1.fc22

Comment 4 Fedora Update System 2015-06-21 00:04:13 UTC
Package 389-ds-base-1.3.3.12-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing 389-ds-base-1.3.3.12-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10301/389-ds-base-1.3.3.12-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-06-24 17:04:39 UTC
389-ds-base-1.3.4.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/389-ds-base-1.3.4.1-1.fc22

Comment 6 Fedora Update System 2015-09-06 21:19:19 UTC
389-ds-base-1.3.3.13-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update 389-ds-base'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15128

Comment 7 Fedora Update System 2015-10-08 18:49:04 UTC
389-ds-base-1.3.3.13-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.